--[[****************************************************************************
MacrotexterHelper.lua

This file contains auxiliary (helper) functions for Mecaire's Macrotexter.
******************************************************************************]]

--[[****************************************************************************
MsgToTable(msg)

This function is intended to convert a slash command line to a table.
******************************************************************************]]
function MsgToTable(msg)
 	if not msg then return end
 	local t = {};
 	for w in string.gmatch(msg, "%S+") do
 		tinsert(t, w)
 	end
 	return t;
end

--[[****************************************************************************
ShowMessage(msg)

This function displays the given string message, if the player has a
DEFAULT_CHAT_FRAME.

******************************************************************************]]
function ShowMessage(msg)
	if DEFAULT_CHAT_FRAME then
		DEFAULT_CHAT_FRAME:AddMessage(msg, 0, 1, 1);
	end
end

--[[****************************************************************************
TrueFalseToOnOff(b)

This function returns "ON" if b is true, or "OFF" if b is false.
******************************************************************************]]
function TrueFalseToOnOff(b)
	if b then
	    return "ON";
	else
	    return "OFF";
	end
end

--[[****************************************************************************
PlayerLoaded()

Returns true if the player has loaded; false otherwise.

******************************************************************************]]
function PlayerLoaded()
	return not ((UnitName("player") == nil)
		or (string.lower(UnitName("player")) == "unknown entity")
		or UnitName("player") == UNKNOWNBEING
		or UnitName("player") == UNKNOWNOBJECT);
end